Bug 1021156 - Missing Requires on lua-expat
Missing Requires on lua-expat
Product: Fedora
Classification: Fedora
Component: libquvi-scripts (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-19 18:35 EDT by Mohamed El Morabity
Modified: 2013-11-25 18:12 EST (History)
2 users (show)

See Also:
Fixed In Version: libquvi-scripts-0.9.20131012-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-10 01:05:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2013-10-19 18:35:57 EDT
Some libquvi scripts require the LUAExpat library:

$ grep "require 'lxp" /usr/share/libquvi-scripts/0.9/media/*.lua
/usr/share/libquvi-scripts/0.9/media/arte.lua:  local P = require 'lxp.lom'
/usr/share/libquvi-scripts/0.9/media/cbsnews.lua:  local P = require 'lxp.lom'
/usr/share/libquvi-scripts/0.9/media/clipfish.lua:  local P = require 'lxp.lom'
/usr/share/libquvi-scripts/0.9/media/spiegel.lua:  local P = require 'lxp.lom'

Without this library, the web sites handled by the scripts above don't work with quvi. Please add lua-expat as Requires to libquvi-scripts. Notice It only concerns the 0.9 version (Fedora >=20).
Thanks in advance :)
Comment 1 Christopher Meng 2013-10-19 21:48:22 EDT
Comment 2 Fedora Update System 2013-10-19 22:05:18 EDT
libquvi-scripts-0.9.20131012-1.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-10-20 13:44:27 EDT
Package libquvi-scripts-0.9.20131012-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libquvi-scripts-0.9.20131012-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-10 01:05:17 EST
libquvi-scripts-0.9.20131012-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jonathan Abbey 2013-11-25 15:38:57 EST
Unfortunately, lua-expat appears not to be packaged in Fedora 20?
Comment 6 Mohamed El Morabity 2013-11-25 18:12:24 EST
(In reply to Jonathan Abbey from comment #5)
> Unfortunately, lua-expat appears not to be packaged in Fedora 20?
It is :)

Note You need to log in before you can comment on or make changes to this bug.